Subject: bug#22241: 25.0.50; etags Ruby parser problems

From: Eli Zaretskii <[email-masked]>
Date: Sun, 31 Jan 2016 05:37:03 +0200

> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Sun, 31 Jan 2016 01:06:07 +0300
> 
> First, it doesn't seem like it handles attr_reader, attr_writter, 
> attr_accessor and method_alias, like I asked at the end of the bug 
> report. That line of discussion was somehow dropped.

Right, that part is not implemented.  Perhaps later.  Is it terribly
important?

> Second: a minor thing. If I remove the space after '=', 'ABC =4' doesn't 
> get recorded.

Will fix.

> Third, this is tangential, but I don't think anybody uses the .ruby 
> extension for Ruby files (you can see it's not in auto-mode-alist). But 
> maybe someone somewhere will use it for something else, and etags will 
> erroneously parse that file as Ruby?

I found that on the Internet, I can try to find that again.

> On the other hand, you might want to add *.ru, *.rbw, Rakefile and 
> Thorfile to the list of Ruby file names.

That's easy to add.  Should we?

> I'll be sure to let you know if I notice something else.

Thanks.